%define libname	%mklibname Cg
%define develname %mklibname -d Cg

%define _requires_exceptions libGLU.so
%define _requires_exceptions libtrace.so

%define relInfo February2012

Summary:      C for Graphics
Name:         Cg
Version:      3.1.0010
Release:      %mkrel 1
URL:          http://developer.nvidia.com/object/cg_download.html
License:      NVidia Cg Distribution License
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Source0:	http://developer.download.nvidia.com/cg/Cg_3.0/Cg-3.1_%{relInfo}_x86.tar.xz
Source1:	http://developer.download.nvidia.com/cg/Cg_3.0/Cg-3.1_%{relInfo}_x86_64.tar.xz
Group:        Development/Other
Requires:     %{libname} = %{version}

%description
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.
This package contains the C for Graphics Compiler

%package -n %{libname}
Group:        Development/Other
Summary:      C for Graphics
Requires:     libmesaglu1

%description -n %{libname}
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.

This package contains the C for Graphics libraries

%package -n %{libname}-devel
Group:        Development/Other
Summary:      C for Graphics
Requires:     %{libname} = %{version}
%description -n %{libname}-devel
Cg or C for Graphics is a high-level shading language created by NVIDIA for programming vertex and pixel shaders.

This package contains the C for Graphics development headers and documentation.

%install
rm -rf %{buildroot}

#uncompress the right tarball according to the arch
mkdir -p %{buildroot}
cd %{buildroot}
%ifarch %ix86
tar --xz -xvf %{SOURCE0}
%else
tar --xz -xvf %{SOURCE1}
%endif

#move the doc to the right directory
mkdir -p %{buildroot}%{_docdir}/%{name}
mv %{buildroot}/usr/local/Cg/* %{buildroot}%{_docdir}/%{name}

#include the license in subpackages, too
mkdir %{buildroot}%{_docdir}/%{libname}
mkdir %{buildroot}%{_docdir}/%{develname}
cp %{buildroot}%{_docdir}/%{name}/docs/license.txt %{buildroot}%{_docdir}/%{libname}
cp %{buildroot}%{_docdir}/%{name}/docs/license.txt %{buildroot}%{_docdir}/%{develname}

#License doesn't allow us to modify the binaries and libraries
export DONT_STRIP=1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%{_bindir}/cgc
%{_bindir}/cgfxcat
%{_bindir}/cginfo

%files -n %{libname}
%defattr(-,root,root)
%{_docdir}/%{libname}
%{_libdir}/libCgGL.so
%{_libdir}/libCg.so

%files -n %{develname}
%defattr(-,root,root)
%{_docdir}/%{develname}
%{_bindir}/cgc
%{_includedir}/Cg
#/usr/local/Cg
# man files arn't in source anymore
#{_datadir}/man/man3
#{_datadir}/man/manCg
#{_datadir}/man/manCgFX

%changelog
* Tue Apr 17 2012 Neal <nealbrks0 at gmail dot com> 3.1_201202-1pclos2012
- process

* Tue Apr 17 2012 ghostbuny <hmhaase at pclinuxosusers dot de> 3.1_201202-1pclos2012
- added 64bit source package
- rebuild install section with little help of mandriva spec ^^
- renamed spec to pclos-Cg.spec
- added xz compression

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 2.2_200910-2pclos2010
- fix dependency package

* Thu Feb 09 2010 slick50 <lxgator@gmail.com> 2.2_200910-1pclos2010
- 2.2_200910

* Sat Apr 11 2009 slick50 <lxgator@gmail.com> 1.5_200702-1pclos2007
- initial pkg
